Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hoabuivan

Nhờ sửa lisp xuất toạ độ polyline

Các bài được khuyến nghị

Chào anh em Cadviet, em có một lisp xuất toạ độ của đường pline (x,y,z) dưới dạng file .txt. Do nhu cầu cần sử dụng trong quá trình làm việc nên em cần sửa thành lisp sao cho:

+ Chỉ xuất ra toạ độ (x,y) mà không có z nữa

+ File xuất ra để dạng .hdm thay vì .txt như hiện tại

+ Trước khi liệt kê các toạ độ thì thêm vào dòng BEGIN

+ Và nếu như có thể chọn gốc toạ độ nữa thì tốt quá

( File .hdm mẫu đính kèm)

http://www.mediafire.com/download/118s37lievzj63j/Sua+lisp.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sài tạm Lisp này nhé.

(defun c:gh(/ ent fh fn pnt sset)
  (princ "Chon PLine:" )
  (if (and (setq sset (ssget "_+.:S:E"'((0 . "LWPOLYLINE"))))
	   (setq fn (getfiled "POLYLINE Export File" "" "hdm" 1)))
    (progn      
      (setq fh (open fn "w")
	    ent (entget (ssname sset 0)))
      (princ "BEGIN" fh)
      (foreach rec ent
	(if (= (car rec) 10)
	  (princ (strcat "\n"(rtos (car (setq pnt (cdr rec)))) "," (rtos (cadr pnt)) ) fh) )  )
      (close fh)) )
  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Sài tạm Lisp này nhé.

(defun c:gh(/ ent fh fn pnt sset)
  (princ "Chon PLine:" )
  (if (and (setq sset (ssget "_+.:S:E"'((0 . "LWPOLYLINE"))))
	   (setq fn (getfiled "POLYLINE Export File" "" "hdm" 1)))
    (progn      
      (setq fh (open fn "w")
	    ent (entget (ssname sset 0)))
      (princ "BEGIN" fh)
      (foreach rec ent
	(if (= (car rec) 10)
	  (princ (strcat "\n"(rtos (car (setq pnt (cdr rec)))) "," (rtos (cadr pnt)) ) fh) )  )
      (close fh)) )
  (princ))

Bạn ơi, vẫn còn có toạ độ "Z" bạn bỏ đi giúp mình được không. Mình chỉ cần (X,Y) thôi.

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×